Bug 680043 - [usb-audio] unable to set capture mixer levels [rhel-5.6.z]
Summary: [usb-audio] unable to set capture mixer levels [rhel-5.6.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.6
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: ---
Assignee: Jiri Pirko
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 678074
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-24 07:57 UTC by RHEL Product and Program Management
Modified: 2015-05-05 01:22 UTC (History)
13 users (show)

Fixed In Version: kernel-2.6.18-238.7.1.el5
Doc Type: Bug Fix
Doc Text:
Setting the capture levels on the Line-In capture channel when using an ARX USB I/O sound card for recording and playback did not work properly. The set values were not persistent. With this update, the capture values are now cached in the usb-audio driver leaving the set capture levels unchanged.
Clone Of:
Environment:
Last Closed: 2011-04-12 18:20:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0429 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-04-12 18:19:57 UTC

Description RHEL Product and Program Management 2011-02-24 07:57:30 UTC
This bug has been copied from bug #678074 and has been proposed
to be backported to 5.6 z-stream (EUS).

Comment 3 Jiri Pirko 2011-03-04 13:12:07 UTC
in kernel-2.6.18-238.7.1.el5

linux-2.6-sound-alsa-cache-mixer-values-on-usb-audio-devices.patch

Comment 6 errata-xmlrpc 2011-04-12 18:20:41 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0429.html

Comment 7 Martin Prpič 2011-04-14 10:30:47 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Setting the capture levels on the Line-In capture channel when using an ARX USB I/O sound card for recording and playback did not work properly. The set values were not persistent. With this update, the capture values are now cached in the usb-audio driver leaving the set capture levels unchanged.


Note You need to log in before you can comment on or make changes to this bug.